Geom2D::Transform2D Class Reference

## Public Member Functions

| Transform2D (const Pose &ref)
void | transform_to_relative (Point &p)
void | transform_to_relative (Pose &p)
void | transform_to_global (Point &p)
void | transform_to_global (Pose &p)

## Private Attributes

const Pose | base
double | c
double | s

The documentation for this class was generated from the following files:

- geometry2D.h
- geometry2D.cpp

Last updated 12 September 2005 21:38:45